SYSTEMD-SYSINSTALL(8)

BEZEICHNUNG
systemd-sysinstall, systemd-sysinstall.service - Einfaches Betriebssysteminstallationsprogramm

ÜBERSICHT

systemd-sysinstall [OPTIONEN…] [BLOCKGERÄT]

systemd-sysinstall.service

BESCHREIBUNG

systemd-sysinstall ist ein einfaches terminal- und befehlszeilenbasiertes Betriebssysteminstallationswerkzeug. Sein Haupteinsatzfeld ist die Verwendung als interaktive Schnittstelle, die automatisch gestartet wird, wenn von einem Installationsmedium (z.B. einem USB-Stick) gestartet wird, um ein Betriebssystem auf eine Zielplatte zu installieren. Es kann allerdings auch direkt von einer Shell aus aufgerufen werden. Es führt die folgenden Schritte aus:

    1. Es bittet den Benutzer um die Eingabe der Zielplatte, auf der das Betriebssystem installiert werden soll. (Außer wenn das Blockgerät bereits auf der Befehlszeile angegeben ist.)

    2. Es überprüft, ob die Platte für eine Betriebssysteminstallation geeignet ist (d.h. groß genug und mit genug freiem/nicht partitioniertem Bereich). Falls sie grundsätzlich geeignet ist, wird der Benutzer gefragt, ob die Platte vor der Installation gelöscht werden soll oder ob das Betriebssystem zu den auf der Platte bestehenden Partitionen hinzugefügt werden soll (letzteres nur, falls genug freier/nicht partitionierter Bereich verfügbar ist).

    3. Es bittet den Benutzer um die Eingabe, ob das frisch installierte Betriebssystem im Firmware-Systemstart-Optionsmenü registriert werden soll.

    4. Es bittet um Bestätigung vom Benutzer, nachdem eine Zusammenfassung der geplanten Betriebssysteminstallationen angezeigt wurde.

    5. Es ruft den Befehl encrypt von systemd-creds(1) auf, um verschlüsselte (TPM-gesperrte, falls verfügbar) Systemzugangsberechtigungsdateien für einige, sehr grundlegende Systemeinstellungen des derzeit gestarteten Systems (Locale, Tastatturzuordnung, Zeitzone) zu erstellen, die es dann auf der Zielplatte installiert und den aufgerufenen Kernel entsprechend parametrisiert. (Oder in anderen Worten, es trifft Vorbereitungen, dass einige Einstellungen, die bereits auf dem Installationssystem wirksam sind, auch sicher auf die neue Installation weitergeleitet werden.)

    6. Es ruft systemd-repart(8) mit dem Definitionsverzeichnis /usr/lib/repart.sysinstall.d/ auf (nur falls dies befüllt ist – es wird nicht das standardmäßige /usr/lib/repart.d/ verwenden). Dies ist zur Einrichtung der grundlegenden Betriebssystempartitionsstruktur auf der Zielplatte gedacht und kopiert grundlegende Betriebssystempartionen hinein (davon ist die /usr/-Hierarchie die wichtigste).

    7. Es ruft den Befehl link von bootctl(1) auf, um ein Betriebssystem-Kernelabbild auf dem ESP/XBOOTLDR der Platte zu installieren, zusammen mit den vorher vorbereiteten Zugangsberechtigungsdateien.

    8. Es ruft den Befehl install von bootctl(1) auf, um das Systemstartprogramm systemd-boot(7) auf dem ESP der Zielplatte zu installieren.

    9. Nach einer Bestätigung startet es das System neu.

Beachten Sie, dass die Eingabeaufforderungen/Bestätigungen über die Befehlszeile deaktiviert werden können, wodurch eine vollständig automatisierte, nicht interaktive Installation ermöglicht wird. Weiteres dazu weiter unten.

Beachten Sie, dass dieses Werkzeug den Benutzer nicht interaktiv zur Erstellung eines Benutzer oder des Passworts für Root für das Zielsystem befragt, da vermutet wird, dass diese Fragen besser innerhalb des ersten Systemstarts des frisch installierten Systems gestellt werden können, beispielsweise mittels systemd-firstboot(1) oder der Komponenten systemd-homed-firstboot.service(1). Beachten Sie, dass solche Einstellungen explizit über den Schalter --load-credential= weitergeleitet werden können, falls dies notwendig ist.

OPTIONEN

Die folgenden Optionen werden verstanden:

--definitions=
    Setzt das Verzeichnis außer Kraft, aus dem systemd-repart(8) seine Partitionsdefinitionen lesen soll, anstelle der Vorgabe /usr/lib/repart.sysinstall.d/.

    Hinzugefügt in Version 261.

--welcome=
    Akzeptiert ein logisches Argument. Steuert, ob der kurze Willkommensmeldungstext, der normalerweise bei Beginn der Installation angezeigt wird, dargestellt werden soll. Standardmäßig »true«.

    Hinzugefügt in Version 261.

--chrome=
    Akzeptiert ein logisches Argument. Steuert, ob oben und unten auf der Terminal-Schnittstelle farbige Balken angezeigt werden. Standardmäßig »true«.

    Hinzugefügt in Version 261.

--erase=
    Akzeptiert ein logisches Argument. Steuert, ob die aktuellen Inhalte der Zielplatte gelöscht werden sollen. Falls dieser Schalter nicht verwandt wird, wird der Benutzer gefragt.

    Hinzugefügt in Version 261.

--confirm=
    Akzeptiert ein logisches Argument. Steuert, ob der Benutzer interaktiv um Bestätigung gefragt werden soll, bevor die Betriebssysteminstallation eingeleitet wird. Standardmäßig »true«.

    Hinzugefügt in Version 261.

--reboot=
    Akzeptiert ein logisches Argument. Steuert, ob das System nach Abschluss der Installation neu gestartet werden soll. Standardmäßig »false«.

    Hinzugefügt in Version 261.

--variables=
    Akzeptiert ein logisches Argument. Steuert, ob das installierte Systemstartprogramm in der Systemstart-Optionsdatenbank der Firmware registriert werden soll. Falls nicht verwandt, wird der Benutzer gefragt.

    Hinzugefügt in Version 261.

--summary=
    Akzeptiert ein logisches Argument. Steuert, ob eine Zusammenfassung der getroffenen Auswahlen angezeigt werden soll, bevor um Bestätigung zum Fortfahren mit der Betriebssysteminstallation gebeten wird. Standardmäßig »true«.

    Hinzugefügt in Version 261.

--kernel=
    Akzeptiert einen Pfad zu einem vereinigten Kernelabbild (UKI). Wählt das auf der Zielplatte zu installierende Kernelabbild explizit aus. Falls nicht verwandt, wird das derzeit gestartete Kernelabbild auf der Zielplatte installiert.

    Hinzugefügt in Version 261.

--set-credential=Kennung:Wert
    Akezeptiert eine zusätzliche zu verschlüsselnde Systemzugangsberechtigung (mit einem Schlüssel, der im lokalen TPM, falls verfügbar, erstellt wird und ansonsten dem Null-Schlüssel) und legt sie neben dem installierten Kernelabbild in der ESP ab. Dies kann zur Parametrisierung des installierten Kernels mit beliebigen Systemzugangsberechtigungen benutzt werden. Verwenden Sie diesen Schalter nicht für schützenswerte Daten (wie Passwörter), verwenden Sie das weiter unten beschriebene --load-credential= stattdessen. Kann mehrfach verwandt werden, um mehrere Zugangsberechtigungen zu konfigurieren.

    Beachten Sie, dass drei Systemzugangsberechtigungen auf eine ähnliche Art an das Zielsystem weitergeleitet werden: die Locale, die Tastaturbelegung und die Zeitzone. Dies kann über die nachfolgend beschriebenen entsprechenden Optionen --copy-locale=, --copy-keymap= und --copy-timezone= gesteuert werden.

    Lesen Sie systemd.system-credentials(7) für eine Liste der gut bekannten Systemzugangsberechtigungen, die auf diese Art weitergeleitet werden können. (Beachten Sie, dass Sie beliebige Zugangsberechtigungen auf diese Art übergeben können, die von einem beliebigen Dienst Ihrer Wahl benutzt werden können, über die normale System-Zugangsberechtigungslogik.)

    Hinzugefügt in Version 261.

--load-credential=Kennung:Pfad
    Similar to --set-credential= but reads the credential value from a file on disk or an AF_UNIX socket in the file system. This is generally preferable for sensitive data, such as passwords.

    Hinzugefügt in Version 261.

--copy-locale=, --copy-keymap=, --copy-timezone=
    These options take boolean parameters. They control whether the indicated system settings shall be propagated from the currently running system into the new target OS installation. These options default to true.

    Typically, these three settings are the minimal settings that need to be configured during early boot of an installer medium in order to make the installer tool accessible to the user. The systemd-firstboot(1) tool may be used to query the user interactively when the OS install medium is booted for these properties. By propagating these settings to the target installation via system credentials they do not need to be queried again on first boot of the new installation.

    Hinzugefügt in Version 261.

--mute-console=
    Takes a boolean argument. Controls whether to disable kernel and service manager log output to the console the installer is invoked on temporarily while running, in order to avoid interleaved output. Defaults to false.

    Hinzugefügt in Version 261.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben und anderenfalls ein Fehlercode ungleich Null.

BEISPIEL

Example 1. Invoke the tool for a fully automatic non-interactive OS installation

    systemd-sysinstall \
            /dev/disk/by-id/nvme-Micron_MTFDKBA1T0TFH_214532D0CDA5 \
            --erase=yes \
            --confirm=no \
            --variables=yes \
            --load-credential=ssh.authorized_keys.root:my-ssh-key

This installs the OS on the selected disk, erasing any previous contents, without confirmation, registers it in the firmware, and drops in the SSH key for the root user, read from the my-ssh-key file in the current directory.

SIEHE AUCH

systemd(1), systemd-creds(1), systemd-repart(8), bootctl(1), systemd-firstboot(1), systemd-boot(7), systemd.system-credentials(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).